package cn.org.bjca.trust.android.lib.im.db.device;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.Query;
import androidx.room.Update;

import java.util.List;

@Dao
public interface DeviceDao {

    @Query("SELECT * FROM device")
    List<DeviceEntity> getAll();

    @Insert
    void insertAll(DeviceEntity... devices);

    @Update
    void update(DeviceEntity device);

    @Delete
    void delete(DeviceEntity device);
}
