package cn.org.bjca.trust.android.lib.im.kit;

import cn.org.bjca.trust.android.lib.im.bean.IMUserFullInfo;

public interface IMSDKListener {
    /**
     * 连接中
     */
    void 	onConnecting ();

    /**
     * 连接成功
     */
    void 	onConnectSuccess ();

    /**
     *连接失败
     * @param code 错误码
     * @param error 错误信息
     */
    void 	onConnectFailed (int code, String error);

    /**
     *用户被踢出
     */
    void 	onKickedOffline ();

    /**
     *用户信息变更
     */
    void 	onSelfInfoUpdated (IMUserFullInfo info);

}
