package cn.org.bjca.trust.android.lib.im.repository;

import cn.org.bjca.trust.android.lib.im.bean.UserInfo;
import cn.org.bjca.trust.android.lib.im.http.HttpResult;
import cn.org.bjca.trust.android.lib.im.repository.bean.LoginBean;
import cn.org.bjca.trust.android.lib.im.repository.data.LoginData;
import io.reactivex.Observable;
import retrofit2.http.Body;
import retrofit2.http.GET;
import retrofit2.http.POST;
import retrofit2.http.Path;

public interface Service {

    @GET("hello/{id}")
    Observable<HttpResult<String>> test(@Path("id") String id);

    @POST("user/v1/login")
    Observable<HttpResult<LoginBean>> login(@Body LoginData loginData);
}
